### Method

# Foundry CompletionProvider complete

#### Declaration [src]

    DexFuture*
    foundry_completion_provider_complete (
      FoundryCompletionProvider* self,
      FoundryCompletionRequest* request
    )

#### Description [src]

Asynchronously generate a list of completion items.

#### Parameters

`request`

  Type: `FoundryCompletionRequest`

  A `FoundryCompletionRequest`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

`DexFuture` that resolves to a `GListModel` of `FoundryCompletionProposal` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.